#ifndef SYSTEMTASK_H_
#define SYSTEMTASK_H_

namespace system {
	/*
	 * システムアイドル用タスク
	 */
	void task_idle();
	
	/*
	 * キーボード処理タスク
	 */
	void task_keyboard();
	
	/*
	 * マウス処理タスク
	 */
	void task_mouse();
	
	/*
	 * タスクバー処理タスク
	 */
	volatile void task_taskbar();
	
	void task_b_main();
}

#endif /*SYSTEMTASK_H_*/
